#version 460 core

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTex;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

out vec3 vertexCoords;
out vec2 textureCoords;

void main()
{
	gl_Position = projection * view * model * vec4(aPos, 1.0f);
	textureCoords = aTex;
	vertexCoords = aPos;
}